import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ChangeUserRolesDialogComponent } from './change-user-roles-dialog.component';
import { ReactiveFormsModule } from '@angular/forms';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';
import { MatListModule } from '@angular/material/list';

describe('ChangeUserRolesDialogComponent', () => {
  let component: ChangeUserRolesDialogComponent;
  let fixture: ComponentFixture<ChangeUserRolesDialogComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ChangeUserRolesDialogComponent],
      imports: [ReactiveFormsModule, HttpClientTestingModule, MatListModule],
      providers: [{provide: MatDialogRef, useValue: {}}, {provide: MAT_DIALOG_DATA, useValue: {}}]
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ChangeUserRolesDialogComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
